CVE-2021-3638

NameCVE-2021-3638
DescriptionAn out-of-bounds memory access flaw was found in the ATI VGA device emulation of QEMU. This flaw occurs in the ati_2d_blt() routine while handling MMIO write operations when the guest provides invalid values for the destination display parameters. A malicious guest could use this flaw to crash the QEMU process on the host, resulting in a denial of service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-4980-1
Debian Bugs992726

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)jessie, jessie (lts)1:2.1+dfsg-12+deb8u23fixed
stretch (security)1:2.8+dfsg-6+deb9u17fixed
stretch (lts), stretch1:2.8+dfsg-6+deb9u19fixed
buster1:3.1+dfsg-8+deb10u8fixed
buster (security)1:3.1+dfsg-8+deb10u12fixed
bullseye1:5.2+dfsg-11+deb11u3fixed
bullseye (security)1:5.2+dfsg-11+deb11u2fixed
bookworm1:7.2+dfsg-7+deb12u6fixed
trixie1:8.2.4+ds-1fixed
sid1:9.0.1+ds-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusourcejessie(not affected)
qemusourcestretch(not affected)
qemusourcebuster(not affected)
qemusourcebullseye1:5.2+dfsg-11+deb11u1DSA-4980-1
qemusource(unstable)1:6.1+dfsg-6992726

Notes

[buster] - qemu <not-affected> (Vulnerable code introduced in ATI VGA device emulation added later)
[stretch] - qemu <not-affected> (Vulnerable code introduced in ATI VGA device emulation added later)
https://bugzilla.redhat.com/show_bug.cgi?id=1979858
https://lore.kernel.org/qemu-devel/CAA8xKjXkDwPYxSAeRb+2mfHRrbiL_kh9unVkemFXLfF68UXePA@mail.gmail.com
Introduced by: https://gitlab.com/qemu-project/qemu/-/commit/584acf34cb05f16e13a46d666196a7583d232616 (v4.1.0-rc0)
Fixed by: https://gitlab.com/qemu-project/qemu/-/commit/205ccfd7a5ec86bd9a5678b8bd157562fc9a1643 (v7.2.0-rc0)
[jessie] - qemu <not-affected> (Vulnerable code introduced in ATI VGA device emulation added later)

Search for package or bug name: Reporting problems